function call_ahocoder16(fwav,fmcc,flf0,fmvf)
%	call_ahocoder16(fwav,fmcc,flf0,fmvf)
%
%	Calls ahocoder16 and generates acoustic parameter files.
%
%	fwav: input wav file
%	fmcc: output file with mel-cepstral coeffs
%	flf0: output file with logarithm of f0
%	fmvf: output file with maximum voiced frequency

if nargin<4 error('Missing args.'); end;
% read wav file
[x,fs]=wavread(fwav);
% call itself
[mcc,lf0,mvf]=ahocoder16(x,fs);
% write params to files
floatwrite_(fmcc,mcc);
floatwrite_(flf0,lf0);
floatwrite_(fmvf,mvf);

% write data to file in float precision
function floatwrite_(fname,x)
fid=fopen(fname,'wb');
if fid==-1 error('Cannot create file.'); end;
fwrite(fid,x,'float');
fclose(fid);
