function [x,fs]=call_ahodecoder16(fmcc,flf0,fmvf,fwav)
%	[x,fs]=call_ahodecoder16(fmcc,flf0,fmvf,fwav)
%
%	Calls ahodecoder16 and generates a wav file.
%
%	fmcc: input file with mel-cepstral coeffs
%	flf0: input file with logarithm of f0
%	fmvf: input file with maximum voiced frequency
%	fwav: output wav file

if nargin<4 error('Missing args.'); end;
% be careful with original wav!
if exist(fwav)~=0 error('Overwriting not permitted.'); end;
% read param files imposing adequate dimensions
lf0=reshape(floatread_(flf0),1,[]);
mcc=reshape(floatread_(fmcc),[],length(lf0));
mvf=reshape(floatread_(fmvf),1,[]);
% call itself
[x,fs]=ahodecoder16(mcc,lf0,mvf);
% write wav file
wavwrite(x,fs,fwav);

% read data from file in float precision
function x=floatread_(fname)
fid=fopen(fname,'rb');
if fid==-1 error('Cannot read file.'); end;
x=fread(fid,inf,'float');
fclose(fid);
